## txt2sms 0.4.2

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man1
	pod2man ${DESTDIR}/usr/lib/txt2sms/send_sms --section=1 | iconv -f latin1 -t utf8 > ${DESTDIR}/usr/share/man/man1/send_sms.1

clean:
	rm -f *-stamp

=== debian/changelog ===
txt2sms (0.4.2) lenny; urgency=low

  * #10024078: Anpassungen mail2sms und noris::SMS

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 26 Mar 2010 11:17:39 +0100

txt2sms (0.4.1) lenny; urgency=low

  * #10098439: Umstellung des Anbieters auf OpenIT

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 02 Mar 2010 13:21:17 +0100

txt2sms (0.3.0) lenny; urgency=low

  * #10051548: SMS-Gateway: Berücksichtigung des Encodings

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 15 Sep 2009 16:20:49 +0200

txt2sms (0.2-4) lenny; urgency=low

  * Ticket 306857
  * Archiv aufgeräumt
  * Unnötige Dateien entfernt
  * Buildscripte angepasst

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 05 May 2009 10:50:03 +0200

txt2sms (0.2-3.1) lenny; urgency=low

  * lenny statt stable 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 16 Apr 2009 15:52:28 +0200

txt2sms (0.2-3) stable; urgency=low

  * Rebuilt for etch.
    - Bumped COMPAT-level and debhelper-version.

 -- Hardy Kestin <hardy@noris.net>  Wed, 11 Jul 2007 11:02:48 +0200

txt2sms (0.2-2) stable; urgency=low

  * Changed dist, arch, Section.

 -- Hardy Kestin <hardy@noris.net>  Tue, 21 Jun 2005 17:55:00 +0200

mail2sms (0.1-2) unstable; urgency=low

  * Added dependency to libwww-perl (RT# 153077-12).
  * Ooops, forgot marking /etc/mail2sms/sms-c.conf as configfile.
  * Removed dir /var/log/mail2sms/. It was unused.

 -- Hardy Kestin <hardy@noris.net>  Mon, 17 May 2004 09:29:00 +0200

mail2sms (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Hardy Kestin <hardy@noris.net>  Thu, 13 May 2004 15:03:41 +0200

=== debian/control ===
Source: txt2sms
Section: noris/server
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>> 5)
Standards-Version: 3.7.2

Package: txt2sms
Architecture: all
Depends: sms-perl, libnoris-io-autoencoding-perl (>= 0.2.0)
Description: Tool to send text as sm's via sms-perl-backend
 This proprietary software  works only for noris network and
 End2End Mail->SMS-Gateway. It uses https to push sms.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=3



build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/txt2sms.sgml > txt2sms.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/txt2sms.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/txt2sms


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
